- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_gridfs_t

# mongoc_gridfs_drop()

## Synopsis

    bool
    mongoc_gridfs_drop (mongoc_gridfs_t *gridfs, bson_error_t *error);

## Parameters

- `gridfs`: A mongoc_gridfs_t.
- `error`: An optional location for a bson_error_t or `NULL`.

## Description

Requests that an entire GridFS be dropped, including all files associated with it.

## Errors

Errors are propagated via the `error` parameter.

## Returns

Returns `true` if successful. Returns `false` and sets `error` if there are invalid arguments or a server or network error.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.